Subject: RE: bug#6956: 24.0.50; pasting mouse selection in other session pastes only first word

From: "Drew Adams" <[email-masked]>
Date: Mon, 20 Sep 2010 11:47:17 -0700

> > > > Actually, I'm not sure it is fixed. I cannot really test 
> > > > with the latest build I have, because of bug #7055.
> > > > I get the impression that I still cannot paste the mouse
> > > > selection between sessions running different Emacs versions 
> > > > (part of the bug report). You might try that, if you are able
> > > > to use the latest Emacs version.
> > > 
> > > And the other Emacs version is what? 23.x?
> > 
> > As I said, I cannot really test this in the latest build I have.
> 
> You said:
> 
>   I get the impression that I still cannot paste the mouse selection
>   between sessions running different Emacs versions
> 
> I thought that meant you tried this between Emacs 24 and some other
> version of Emacs, and saw some problem.  So I asked which other
> version of Emacs was that.

I now have a working Windows binary, built today.
I tried again - the same bug still exists.

As I said before (the recipe has not changed), starting with `emacs -Q':

Simply select text using mouse-1 + mouse-3 (or just double-click mouse-1) in an
Emacs 24 session and then use mouse-2 in an Emacs 20 (or 23 or whatever)
session. The text is not pasted.

In the opposite direction (select in Emacs 20/23, paste into Emacs 24) it works,
however.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2010-09-20 on 3249CTO